# Class SubmitContextFormAdapter

#### Hierarchy

- ProxyRemoteMethod<unknown, Record<string, unknown>, OpenApiRemoteMethodParameter<Record<string, unknown>>>
  - SubmitContextFormAdapter

- Defined in packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts:16

#####
Index

### Constructors

constructor

### Properties

__id
_initialised
context
destroyed$
executed$
executionsInProgress$
initialised$
injector
interceptors
metadata
destroyed$
initialised$
instances

### Accessors

id

### Methods

_call
applyMetadata
call
destroy
executed
getMetadata
init
ngOnDestroy
pauseRefresh
refresh
resumeRefresh
transformParameters
add
remove

## Constructors

### constructor

- new SubmitContextFormAdapter(remoteMethod, context): SubmitContextFormAdapter

- #### Parameters

  - remoteMethod: OpenApiRemoteMethod<unknown, OpenApiRemoteMethodParameter<Record<string, unknown>, any>, Record<string, unknown>>
  - context: Record<string, unknown>

  #### Returns SubmitContextFormAdapter

  Overrides ProxyRemoteMethod<unknown, Record<string, unknown>, OpenApiRemoteMethodParameter<Record<string, unknown>>>.constructor

  - Defined in packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts:19

## Properties

### `Internal` __id

__id: string = ...

unique internal id

Inherited from ProxyRemoteMethod.__id

- Defined in packages/angular/definition/src/lib/definition.ts:61

### `Protected` _initialised

_initialised: boolean = false

Inherited from ProxyRemoteMethod._initialised

- Defined in packages/angular/definition/src/lib/definition.ts:62

### `Private` `Readonly` context

context: Record<string, unknown>

- Defined in packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts:23

### `Readonly` destroyed$

destroyed$: undefined | Subject<void> = ...

Emits if the data source is destroyed

Inherited from ProxyRemoteMethod.destroyed$

- Defined in packages/angular/definition/src/lib/definition.ts:48

### executed$

executed$: Subject<unknown> = ...

Inherited from ProxyRemoteMethod.executed$

- Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:42

### executionsInProgress$

executionsInProgress$: CounterSubject = ...

Inherited from ProxyRemoteMethod.executionsInProgress$

- Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:44

### `Readonly` initialised$

initialised$: undefined | Subject<void> = ...

Emits if the data source is initialised

Inherited from ProxyRemoteMethod.initialised$

- Defined in packages/angular/definition/src/lib/definition.ts:52

### `Readonly` injector

injector: Injector

Inherited from ProxyRemoteMethod.injector

- Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:46

### `Readonly` interceptors

interceptors: undefined | Set<Subject<any>> = ...

Inherited from ProxyRemoteMethod.interceptors

- Defined in packages/angular/definition/src/lib/definition.ts:53

### metadata

metadata: BaseRemoteMethodMetadata

Inherited from ProxyRemoteMethod.metadata

- Defined in packages/angular/definition/src/lib/definition.ts:44

### `Static` `Readonly` destroyed$

destroyed$: Subject<BaseDefinition<BaseDefinitionMetadata>> = ...

Emits when a new Definition instance is initialised

Inherited from ProxyRemoteMethod.destroyed$

- Defined in packages/angular/definition/src/lib/definition.ts:41

### `Static` `Readonly` initialised$

initialised$: Subject<BaseDefinition<BaseDefinitionMetadata>> = ...

Emits when a new Definition instance is initialised

Inherited from ProxyRemoteMethod.initialised$

- Defined in packages/angular/definition/src/lib/definition.ts:35

### `Static` `Readonly` instances

instances: Map<string, BaseDefinition<BaseDefinitionMetadata>> = ...

A map of active Definition instances

Inherited from ProxyRemoteMethod.instances

- Defined in packages/angular/definition/src/lib/definition.ts:27

## Accessors

### id

- get id(): string

- #### Returns string

  Inherited from ProxyRemoteMethod.id

  - Defined in packages/angular/definition/src/lib/definition.ts:87

## Methods

### `Protected` _call

- _call(parameters?): Promise<any>

- #### Parameters

  - `Optional` parameters: Record<string, unknown>

  #### Returns Promise<any>

  Inherited from ProxyRemoteMethod._call

  - Defined in packages/angular/remote-method/src/lib/proxy.remote-method.ts:33

### applyMetadata

- applyMetadata(partialMetadata): void

- #### Parameters

  - partialMetadata: Partial<BaseRemoteMethodMetadata>

  #### Returns void

  Inherited from ProxyRemoteMethod.applyMetadata

  - Defined in packages/angular/definition/src/lib/definition.ts:111

### call

- call(parameters?): Promise<unknown>

- #### Parameters

  - `Optional` parameters: Record<string, unknown>

  #### Returns Promise<unknown>

  Inherited from ProxyRemoteMethod.call

  - Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:76

### destroy

- destroy(): void

- #### Returns void

  #### Deprecated

  use ngOnDestroy instead

  Inherited from ProxyRemoteMethod.destroy

  - Defined in packages/angular/definition/src/lib/definition.ts:118

### executed

- executed(result): void

- #### Parameters

  - result: unknown

  #### Returns void

  Inherited from ProxyRemoteMethod.executed

  - Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:86

### getMetadata

- getMetadata(): null | BaseRemoteMethodMetadata

- #### Returns null | BaseRemoteMethodMetadata

  Inherited from ProxyRemoteMethod.getMetadata

  - Defined in packages/angular/definition/src/lib/definition.ts:107

### init

- init(): void

- #### Returns void

  Inherited from ProxyRemoteMethod.init

  - Defined in packages/angular/definition/src/lib/definition.ts:127

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Inherited from ProxyRemoteMethod.ngOnDestroy

  - Defined in packages/angular/definition/src/lib/definition.ts:122

### pauseRefresh

- pauseRefresh(): void

- #### Returns void

  Inherited from ProxyRemoteMethod.pauseRefresh

  - Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:92

### refresh

- refresh(): void

- #### Returns void

  Inherited from ProxyRemoteMethod.refresh

  - Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:100

### resumeRefresh

- resumeRefresh(): void

- #### Returns void

  Inherited from ProxyRemoteMethod.resumeRefresh

  - Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:96

### transformParameters

- transformParameters(value): OpenApiRemoteMethodParameter<any, any>

- #### Parameters

  - value: Record<string, unknown>

  #### Returns OpenApiRemoteMethodParameter<any, any>

  Overrides ProxyRemoteMethod.transformParameters

  - Defined in packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts:28

### `Static` add

- add(definition): void

- #### Parameters

  - definition: BaseDefinition<BaseDefinitionMetadata>

  #### Returns void

  Inherited from ProxyRemoteMethod.add

  - Defined in packages/angular/definition/src/lib/definition.ts:94

### `Static` remove

- remove(definition): void

- #### Parameters

  - definition: BaseDefinition<BaseDefinitionMetadata>

  #### Returns void

  Inherited from ProxyRemoteMethod.remove

  - Defined in packages/angular/definition/src/lib/definition.ts:102